phpMyAdmin по-русски
   О проекте  |  Скачать  |  Документация  |  Форум
  
Главная страница / Новости / phpMyAdmin /

Разработчики анонсировали первый кандидат в релизы phpMyAdmin 2.9.1

phpMyAdmin 2.9.1-rc1
Данная версия, главным образом, содержит исправления, касающиеся безопасности.

Удалена потенциальная уязвимость содержалась в libraries/.htaccess. Также устранена уязвимость в libraries/grab_globals.lib.php - существовала возможность атаки через _FILES.

Кроме этого, исправления уязвимостей коснулись и файлов libraries/common.lib.php, /session.inc.php, /url_generating.lib.php. По поводу данных уязвимостей разработчики обещали дать комментарии чуть позднее.

Исправлены баги:
- #1560152 (libraries/tbl_properties_links.inc.php): после переименования таблицы навигация не работает;
- #1519859 (libraries/common.lib.php): переполнение буфера на 64-битных машинах;
- #1566904 (libraries/database_interface.lib.php): опечатка в требованиях;

Также был выполнен рефакторинг кода некоторых файлов (libraries/ob.lib.php, libraries/PMA_List_Database.class.php, left.php, libraries\common.lib.php), добавлен новый класс PMA_List, написаны новые функции в js/navigation.js

Итак, кто уже установил phpMyAdmin 2.9.0, настоятельно рекомендуем обновиться.
Скачать phpMyAdmin 2.9.1-rc1
Опубликовано: 2006-09-30